#include <bits/stdc++.h>
using namespace std;
ifstream f1("bai3_15.inp");
ofstream f2("bai3_15.out");
long long i,n,dem=0,k,tong=0;
int main()
{
    f1>>n;
    for(i=0;i<=1000000;i++){
        k=pow(2,i);
        tong=tong+k;
        if(tong<=n){
            dem++;
        }
        if(tong>n){
            break;
        }
    }
    f2<<dem;
    f1.close();
    f2.close();
}
